import request from '../../utils/request'

export function getOverView(ward, viewBabies = true) {
    return request({
        url: '/patient/getOverView',
        method: 'get',
        params: {ward, viewBabies},
    })
}

export function getPatientInfo(inpatientNo) {
    return request({
        url: '/patient/getInfo',
        method: 'get',
        params: {inpatientNo},
    })
}

export function getDisPatient(patNo, times) {
    return request({
        url: '/patient/getDisPatient',
        method: 'get',
        params: {patNo, times},
    })
}

export function getDisDiag(inpatientNo, admissTimes) {
    return request({
        url: '/patient/getDisDiag',
        method: 'get',
        params: {inpatientNo, admissTimes},
    })
}

export function fetchNotUploadedFees(data) {
    return request({
        url: '/patient/getNotUploadedFees',
        method: 'post',
        data,
    })
}

export function getIdCardInfo(inpatientNo, admissTimes) {
    return request({
        url: '/patient/getIdCardInfo',
        method: 'get',
        params: {inpatientNo, admissTimes},
    })
}

export function submitSiPatientInfo(data) {
    return request({
        url: '/patient/submitSiPatientInfo',
        method: 'post',
        data,
    })
}

export function getZyInYbDiags(inpatientNo, admissTimes) {
    return request({
        url: '/patient/getZyInYbDiags',
        method: 'get',
        params: {inpatientNo, admissTimes},
    })
}

export function saveZyInYbDiags(data) {
    return request({
        url: '/patient/saveSiZyInDiags',
        method: 'post',
        data,
    })
}

export function genDismissActOrder(data) {
    return request({
        url: '/patient/genDismissActOrder',
        method: 'post',
        data,
    })
}

export function getEmpiViewUrl(id) {
    return request({
        url: '/powersi/getEmpiViewUrl',
        method: 'get',
        params: {id},
    })
}

export function receiveAndRecalculateCost(data) {
    return request({
        url: '/patient/receiveAndRecalculateCost',
        method: 'post',
        data,
    })
}
